Seems that the ruby-core list server did not like my attachment.
The leakcheck.rb test script can be found here:

http://sites.google.com/site/brentsrubypatches/Home/arrayleak.rb

> The MBARI Patches to MRI have been updated for 1.8.7 patchlevel 352
>
> The code is available on github at:
>
> http://github.com/brentr/matzruby
>
> You can find a description of each patch with installation instructions
> here:
>
> http://sites.google.com/site/brentsrubypatches
>
>
> The patched 1.8.7-352 interpreter passes all the "make check"* tests and
> does not leak memory (as all the unpatched MRI 1.6 and 1.8 series
> interpreters do) for such simple test cases as to one attached**.  If
> you are still running the 1.8 series MRI and are experiencing leaks,
> especially with long running multithreaded applications, I'd be
> interested to hear about your experiences with these patches.
>
>
> *note:  the tests of the soap protocol do not run on my test systems,
> either with or without the MBARI patchset.
>               Many others have reported this.  For now, I choose to
> exclude the soap tests.  Does anyone have a fix for this?
>
> ** DO NOT run the attached script without monitoring memory use or
> setting a process memory quota.
>       Otherwise, it will consume all available memory within minutes
>